# GenerateIvyDescriptor

API Documentation: | `GenerateIvyDescriptor`

Generates an Ivy XML Module Descriptor file.

### Properties

Property | Description
`descriptor` | The module descriptor metadata.
`destination` | The file the descriptor will be written to.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `IvyModuleDescriptorSpec` `descriptor`

The module descriptor metadata.

#### `File` `destination`

The file the descriptor will be written to.